/**
 * 企业综合管理2.0
 * sme-mobile2 ionic重构
 * shaoyang 2016-04-21
 */
angular.module('bstmobile', ['ionic', 'bstmobile.controllers', 'bstmobile.services', 'msdk','ngCordova'])

.run(function($ionicPlatform, $ionicPopup,$ionicHistory,$location,$state,$rootScope,$ionicLoading,Msdk) {
	
		//加载toast
	$rootScope.$on('loading:show', function() {
	    $ionicLoading.show({
//	    	template: '……加载中……',
	     	content: 'Loading',
//	    	animation: 'fade-in',
		    showBackdrop: false,
		    maxWidth: 200,
		    showDelay: 0,
	     	duration : 3000
    	});
  	});
  	$rootScope.$on('loading:hide', function() {
	    $ionicLoading.hide();
  	});
	
	
  //android返回按钮事件
  $ionicPlatform.registerBackButtonAction(function(e){
    e.preventDefault();
    function showConfirm() {
        var confirmPopup = $ionicPopup.confirm({
            title: '<strong>退出应用?</strong>',
            template: '你确定要退出应用吗?',
            okText: '退出',
            cancelText: '取消'
        });
        confirmPopup.then(function (res) {
            if (res) {
                ionic.Platform.exitApp();
            } else {
                // Don't close
            }
        });
    }
//  debugger;
    // Is there a page to go back to?
    if ($location.path() == '/tab/home'
        || $location.path() == '/tab/selected'
        || $location.path() == '/tab/article'
        || $location.path() == '/tab/my'
        ||$location.path() == '/msdk/login/login') {
        showConfirm();
    }else if($location.path() == '/myInfo' 
    	|| $location.path() == "/companyMember"){
    	$state.go("tab.my");
    } else if ($ionicHistory.backView() ) {
    	var history =  $ionicHistory.backTitle();
		if (history == "文章详情") {
			$ionicHistory.goBack(-2);
			return;
		}
//      console.log('currentView:', $rootScope.$viewHistory.currentView);
        // Go back in history
        $ionicHistory.goBack();
    } else {
        // This is the last page: Show confirmation popup
        showConfirm();
    }

    return false;
  }, 101);
  //cordova ready事件
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
    //apple IAP
    if(store){
    		//enable debug	
    		store.verbosity = store.DEBUG;
    		
    		store.register({
	        id:    "cn.com.dexinkj.bstmobile.jifen60",
	        type:  store.CONSUMABLE
    		});
    		store.register({
	        id:    "cn.com.dexinkj.bstmobile.jifen300",
	        type:  store.CONSUMABLE
    		});
    		store.register({
	        id:    "cn.com.dexinkj.bstmobile.jifen600",
	        type:  store.CONSUMABLE
    		});
    		store.register({
	        id:    "cn.com.dexinkj.bstmobile.jifen1280",
	        type:  store.CONSUMABLE
    		});
    		store.register({
	        id:    "cn.com.dexinkj.bstmobile.jifen2680",
	        type:  store.CONSUMABLE
    		});
    		store.register({
	        id:    "cn.com.dexinkj.bstmobile.jifen6980",
	        type:  store.CONSUMABLE
    		});
	    	store.ready(function() {
	        console.log("\\o/ STORE READY \\o/");
	    });
        store.refresh();
        //store.validator = "http://192.168.123.105:8080/bst/msdk/apple/verify";
        store.when("cn.com.dexinkj.bstmobile.jifen60").approved(function(p){
        	createOrder(p);
        		console.log("approved"+JSON.stringify(p));
//      		p.finish();
        		//p.verify();
        });
        store.when("cn.com.dexinkj.bstmobile.jifen60").verified(function(p){
        		console.log("verified"+JSON.stringify(p));
//      		p.finish();
        });
        store.when("cn.com.dexinkj.bstmobile.jifen300").approved(function(p){
        	createOrder(p);
        		console.log("approved"+JSON.stringify(p));
//      		p.finish();
        });
        store.when("cn.com.dexinkj.bstmobile.jifen600").approved(function(p){
        	createOrder(p);
        		console.log("approved"+JSON.stringify(p));
//      		p.finish();
        });
        store.when("cn.com.dexinkj.bstmobile.jifen1280").approved(function(p){
        	createOrder(p);
        		console.log("approved"+JSON.stringify(p));
//      		p.finish();
        });
        store.when("cn.com.dexinkj.bstmobile.jifen2680").approved(function(p){
        	createOrder(p);
        		console.log("approved"+JSON.stringify(p));
//      		p.finish();
        });
        store.when("cn.com.dexinkj.bstmobile.jifen6980").approved(function(p){
        	createOrder(p);
        		console.log("approved"+JSON.stringify(p));
//      		p.finish();
        });
    }
  });
  
   	
	 	//创建订单
 	var createOrder = function(p){
 		
 		var msgdata = {
 			userId		: window.localStorage.getItem('userId'),
 			PAY_MODE	:	'03',
 			SYS_TYPE	:	ionic.Platform.isIOS()?"02":"01",
 			DONE_CODE	: 	p.transaction.id
 		};
 		if (p.id == "cn.com.dexinkj.bstmobile.jifen60") {
 			msgdata.RECH_AMOUNT = 6
 		}else if(p.id == "cn.com.dexinkj.bstmobile.jifen300"){
 			msgdata.RECH_AMOUNT = 30
 		}else if(p.id == "cn.com.dexinkj.bstmobile.jifen600"){
 			msgdata.RECH_AMOUNT = 60
 		}else if(p.id == "cn.com.dexinkj.bstmobile.jifen1280"){
 			msgdata.RECH_AMOUNT = 128
 		}else if(p.id == "cn.com.dexinkj.bstmobile.jifen2680"){
 			msgdata.RECH_AMOUNT = 268
 		}else if(p.id == "cn.com.dexinkj.bstmobile.jifen6980"){
 			msgdata.RECH_AMOUNT = 698
 		}
 		Msdk.postJSON("/Pay/createOrder",
 			msgdata,
 		function(e){
 			if (e.success) {
 				
// 				$ionicPopup.alert({
//					title: '支付成功!'
//				});
				p.finish();
	//			alert("支付成功");
				$state.go("tab.my");
 			}
 			
        });
 	}
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider, MsdkProvider,$httpProvider) {
	
	 $ionicConfigProvider.platform.ios.tabs.style('standard'); 
     $ionicConfigProvider.platform.ios.tabs.position('bottom');
     $ionicConfigProvider.platform.android.tabs.style('standard');
     $ionicConfigProvider.platform.android.tabs.position('bottom');

     $ionicConfigProvider.platform.ios.navBar.alignTitle('center'); 
     $ionicConfigProvider.platform.android.navBar.alignTitle('center');
     $ionicConfigProvider.views.swipeBackEnabled(false);
/*
     $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
     $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');        

     $ionicConfigProvider.platform.ios.views.transition('ios'); 
     $ionicConfigProvider.platform.android.views.transition('android');*/
    
    /*** begin Msdk config　***/
    //本地路径
    //MsdkProvider.setServerPrefix('http://192.168.1.126:8080/bst/mobile');
    //wai wang
     MsdkProvider.setServerPrefix('http://www.shoudianbst.cn:8080/bstapp/mobile');

//    登录成功后的跳转
    MsdkProvider.setFirstState('tab.home');
    /*** end Msdk config ***/
   	//设置加载toast
	$httpProvider.interceptors.push(function($rootScope) {
	    return {
	      	request: function(config) {
		        $rootScope.$broadcast('loading:show')
		        return config;
	      	},
	      	response: function(response) {
		        $rootScope.$broadcast('loading:hide')
		        return response;
	      	}
	    }
  	})
	  // Ionic uses AngularUI Router which uses the concept of states
	  // Learn more here: https://github.com/angular-ui/ui-router
	  // Set up the various states which the app can be in.
	  // Each state's controller can be found in controllers.js
  	$stateProvider
	
	  // setup an abstract state for the tabs directive
    .state('tab', {
	    url: '/tab',
	    abstract: true,
	    templateUrl: 'templates/tabs.html'
  	})

});
