angular.module('bstmobile')
.config(function($stateProvider){
    $stateProvider
    .state('filedemo', {
        url : '/filedemo',
        templateUrl : 'templates/demo/fileDemo.html',
        controller : 'FileDemoCtrl'
    })
    .state('demo02', {
        url : '/demo02',
        templateUrl : 'templates/demo/demo02.html',
        controller : 'FileDemoCtrl'
    })
})
.controller('FileDemoCtrl', function($scope, Msdk, $interval) {
    $scope.imgsrc="http://www.baidu.com/img/bd_logo1.png";
    function cameraSuccess(imageData){
        debugger;
        Msdk.uploadFile({
                fileBase64: imageData,
                fileType:'jpg'
        },function(e){
            Msdk.getFilePath(e.fileId,
                function(path){
                    $scope.imgsrc =path;
                })
        }
        );
    }
    function cameraError(e){
        alert("cameraError");
    }
    $scope.shot=function(){
        alert("takeshot");
        navigator.camera.getPicture(cameraSuccess, cameraError, {
            quality: 50,
            targetWidth: 200,
            targetHeight: 200,
            destinationType: Camera.DestinationType.DATA_URL
        });
    }
    //user ngCordova
//  $scope.shot2=function(){
//      alert("takeshot using ngCordova $cordovaCamera api");
//      $cordovaCamera.getPicture({
//          quality: 50,
//          targetWidth: 200,
//          targetHeight: 200,
//          destinationType: Camera.DestinationType.DATA_URL
//      })
//      .then(cameraSuccess, cameraError);
//  }
    $scope.save=function(){
        alert("save");
    }
    $scope.weixinpay=function(){
        var pay={
            orderId:'1001'
            ,prodId:'1'
            ,prodName:'好喝咖啡'
            ,orderAmount:'0.01'
        }
        Msdk.weixinOrderDemo(pay,
            function(qr){
                $scope.qrString = qr;
                Msdk.weixinWaitingPay(
                    pay.orderId,
                    function(){
                        alert("支付成功");
                    },
                    function(){
                        alert("支付失败");
                    }
                );
            }
        );
    }
    $scope.alipaytest=function(){
        var pay={
            orderId:'1245'
            ,prodId:'1'
            ,prodName:'好喝咖啡'
            ,orderAmount:'0.01'
        }
        Msdk.alipayPrecreateSingle(pay,
            function(qr){
                $scope.qrString = qr;
                Msdk.alipayWaitingPay(
                    pay.orderId,
                    function(){
                        alert("支付成功");
                    },
                    function(){
                        alert("支付失败");
                    }
                );
            }
        );
    }
    $scope.qrString = "1234";
    $scope.changecode=function(){
        $scope.qrString = "141414";
    }
    $scope.alipayquery= function(orderId){
        Msdk.alipayWaitingPay(orderId,
        function(e){
            alert("success");
        },
        function(e){
            alert("fail");
        },
        1000,
        3
        );
    }
})
;
