angular.module('bstmobile')

/**
 * work-config
 */
.config(function($stateProvider){
	$stateProvider

	.state('tab.home', {
	    url: '/home',
	    views: {
	        'tab-home': {
	          templateUrl : 'templates/home/tab-home.html',
	          controller : 'HomeCtrl'
	        }
	    }
   })
	.state('detail_free', {
	  	url : '/detail_free/:ARTICLE_ID/:CONS_REMIND',
	  	templateUrl : 'templates/home/detail_free.html',
	  	 controller : 'Detail_freeCtrl'
  	})
	.state('detail_charge', {
	  	url : '/detail_charge/:ARTICLE_ID/:CONS_REMIND',
	  	templateUrl : 'templates/home/detail_charge.html',
	  	controller : 'Detail_chargeCtrl'
  	})
	.state('comment', {
		url : '/comment',
		templateUrl : 'templates/home/comment.html'
	})
	.state('titleSearch', {
		url : '/titleSearch',
		templateUrl : 'templates/home/titleSearch.html',
		controller : 'TitleSearchCtrl'
	})
	.state('fullTextSearch', {
		url : '/fullTextSearch/:articleId',
		templateUrl : 'templates/home/fullTextSearch.html',
		controller : 'FullTextSearchCtrl'
	})
	
})

.controller('HomeCtrl', function($scope, $state,$timeout, Msdk,$ionicPopup) {
            
    $scope.$on('$ionicView.loaded',function(e,d){
        $timeout(function(){
          if (window.StatusBar) {
            StatusBar.styleLightContent();
                 }},300);
    });
	$scope.qiandaoButton = "已签到";
	$scope.chats = [];
	$scope.firstChats = "";
	var a = 0;
	var showValue = 0;
	//已签到天数
	$scope.numDate = 0;
	$scope.numDate1 = 0;
	$scope.hid = true;
	$scope.hiddenanim = false;
	//签到情况
	$scope.qian = [];
	var qian1 = [
		{
			dt		:	'第一天',
			isqian	:	false,
			t		: 	1
		},{
			dt		:	'第二天',
			isqian	:	false,
			t		: 	2
		},{
			dt		:	'第三天',
			isqian	:	false,
			t		: 	3
		},{
			dt		:	'第四天',
			isqian	:	false,
			t		: 	4
		},{
			dt		:	'第五天',
			isqian	:	false,
			t		: 	5
		},{
			dt		:	'第六天',
			isqian	:	false,
			t		: 	6
		},{
			dt		:	'第七天',
			isqian	:	false,
			t		: 	7
		}
	];
	//方法状态   state1 是否在签到 state2:是否在读取文章列表数据 state3:是否在读取签到数据 state4 :是否在下拉刷新状态
	var stateMessage = {
		state1 : false,
		state2 : false,
		state3 : false,
		state4 : false
	}
	
		
	$timeout(function() {
   		getAccountMessage();
   	}, 500);
	
	$scope.init = function(){
		$scope.getArticleList();
		$scope.getSignMessage();
	}
	
	//签到 div隐藏
		//a.判断是否点击签到按钮
	
    $scope.qiandao = function(){
    	
    	if (stateMessage.state1 || a == 0) {
    		return;
    	}
    	stateMessage.state1 = true;
    	var msgdata = {userId:Msdk.user.userId+"",SYS_TYPE:ionic.Platform.isIOS()?"02":"01"};
		Msdk.postJSON(
			"/sign/toSign",
			msgdata,
			function(e){
				stateMessage.state1 = false;
				if (e[0].success == "success") {
		    		$scope.numDate1 = $scope.numDate +1;
		    		qian1[$scope.numDate].isqian = true;
					newalert();
		    		$scope.qiandaoButton = '已签到'
				}else if (e[0].success == "Already") {
					$scope.numDate1 = $scope.numDate +1;
		    		qian1[$scope.numDate].isqian = true;
		    		$scope.qiandaoButton = '已签到'
				}else{
					$scope.qiandaoButton = '立即签到'
					//若失败可以再次点击签到按钮
					
				}
			});
    }
    
    //二维码扫描
	$scope.erweima = function(){
		cordova.plugins.barcodeScanner.scan(  
	      	function (result) {  
//	          	alert("We got a barcode\n" +  
//	                "Result: " + result.text + "\n" +  
//	                "Format: " + result.format + "\n" +  
//	                "Cancelled: " + result.cancelled);  
				if (!result.cancelled) {
					var rs1 = result.text.substring(0,8) ;
					var rs2 = result.text.substring(9);
					console.log(rs1);
					console.log(rs2);
					if (rs1 === 'bstLogIn') {
						$scope.erweimalogin(rs2);
					}
				}
	    	},   
	     	function (error) {  
//	        	alert("Scanning failed: " + error);  
	      	}  
	   );  
	}
	
	//扫描二维码登入
	$scope.erweimalogin = function(value){
		 Msdk.postJSON(
            "/msdk/applogin/qrScanWeb",
            {
                sessionId: Msdk.session.sessionId,
//              token: 'bdd39328-5883-4627-b265-f4513bcd16ee_3622db19-0276-4f49-9737-3608096ec1b6'
				token: value
            },
            function(e){
            	if (e.success) {
            		newalert1("登入成功");
            	}else{
            		newalert1(e.message);
            	}
            });
	}
    
	//获取 文章列表
	$scope.getArticleList = function(){
		
		if (stateMessage.state2) {
			return
		}
		stateMessage.state2 = true;
		var typeList = ["01","02"];
		var msgdata = {
			typeList :	typeList
		};
		Msdk.postJSON(
			"/article/getArticleList",
			msgdata,
			function(e){
//				updateSofe();
				if (e[e.length-1].result == "success") {

					for(var j=0;j<(e.length-1);j++){
						var chats1 = e[j];
						var chatsList = [];
						for(var i=0;i<(chats1.length);i++){
							
//							var time = new Date(chats1[i].UPDATE_TIME);
//							chats1[i].time1 = time.getFullYear() + "-" + (time.getMonth()+1) + "-" + time.getDate();
//							chats1[i].time2 = time.getHours() + time.getMinutes();
							
							if (chats1[i].bsConfigPicId == null || chats1[i].bsConfigPicId == "" || chats1[i].bsConfigPicId == undefined) {
								if (chats1[i].PIC_ID == null || chats1[i].PIC_ID == "" || chats1[i].PIC_ID == undefined) {
									chats1[i].bsConfigPicId = chats1[i].typePicId;
								}else{
									chats1[i].bsConfigPicId = chats1[i].PIC_ID;
								}
							}
							
							chatsList.push(chats1[i]);
							
						}
						if (j==0) {
							$scope.firstChats = chatsList[0];
						}
						if (j==1) {
							$scope.chats = chatsList;
						}
						//加入缓存
//						var str1 = $scope.firstChats.toJSONString();
//						var str1 = JSON.stringify($scope.firstChats);
//						$scope.saveHistory("firstChats",str1);
//						var str2 =JSON.stringify($scope.chats);
//						$scope.saveHistory("chats",str2);
					}
					
				}
				stateMessage.state2 = false;
			});
	}
    
            //ugly, delete this later.
            var processMonth = function(s){
            return s <10 ? '0'+s: ''+s;
            }
            
	//获取签到信息
	$scope.getSignMessage = function(){
		if (stateMessage.state3) {
			return
		}
		stateMessage.state3 = true;
		var msgdata = {userId:Msdk.user.userId+""};
		Msdk.postJSON(
			"/sign/getSignMessage",
			msgdata,
			function(e){
				stateMessage.state3 = false;
				if(e[0] != null){
					var date1 = new Date(e[0].SIGN_TIME);
					var date2 = date1.getFullYear()+"-"+processMonth(date1.getMonth()+1)+"-"+processMonth(date1.getDate());
					var date = new Date();
					var today = date.getFullYear()+"-"+processMonth(date.getMonth()+1)+"-"+processMonth(date.getDate());
					var b = new Date(Date.parse(today))- new Date(Date.parse(date2));
					//a:上一次签到相隔几天
					a = parseInt(b / (1000 * 60 * 60 * 24));
					if (a>1 || (e[0].SIGN_COUNT==7 && a==1)) {
						$scope.numDate1 = 0;
						$scope.numDate = $scope.numDate1;
					}else{
						if (e[0].SIGN_COUNT != undefined) {
							$scope.numDate1 = e[0].SIGN_COUNT;
						}else{
							$scope.numDate1 = 0;
						}
						
						$scope.numDate = $scope.numDate1;
						if (a == 0) {
							$scope.numDate = $scope.numDate1 -1;
							qian1[$scope.numDate].isqian = true;
						}
					}
					$scope.qian = qian1;
				}else{
					$scope.qian = qian1;
					$scope.numDate1 = 0;
					a = 1;
					//$scope.numDate = $scope.numDate1;
				}
				if (a == 0) {
					$scope.qiandaoButton = "已签到";
				}else{
					$scope.qiandaoButton = "立即签到";
				}
				if ($scope.numDate1 < 7) {
					showValue = e[$scope.numDate1+1].VALUE;
				}
			
			});
	}
	//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
			});
		
		
	}
	//签到提示框
	var newalert = function(){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		  window.plugins.toast.showWithOptions(
		    {
		      message: "签到成功\n+"+showValue+"积分",
		      duration: "short", // ms 
		      position: "center",
		      addPixelsY: 0, 
		      addPixelsX: 0,// (optional) added a negative value to move it up a bit (default 0)
		      data: {'foo':'bar'}, 
		      // (optional) pass in a JSON object here (it will be sent back in the success callback below)
		   	 styling: {
//			       	opacity: 0.75, // 0.0 (transparent) to 1.0 (opaque). Default 0.8 
//				    cornerRadius: 16, // minimum is 0 (square). iOS default 20, Android default 100 
//				    horizontalPadding: 95, // iOS default 16, Android default 50 
//				    verticalPadding: 40,
				    
			    }
		    }
		  );
	}
	
				//提示信息
	var newalert1 = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
	    /**
     * 使用localstorage保持历史记录
     */
    $scope.saveHistory = function(historyName,data){
      window.localStorage.setItem(historyName,data);
    }
    
    	//获取搜索历史记录，初始化历史数据
    function getSearchHistory(historyName) {
		var history = window.localStorage.getItem(historyName);
		return history;
    }
    
    $scope.$on('$ionicView.beforeEnter',function(e,d){
       	$scope.init();
       	if (ionic.Platform.isIOS() && Keyboard.isVisible) {
    		$timeout(function() {
    		 	cordova.plugins.Keyboard.close();	
    		},1000)
		}
    });
    //下拉刷新
    $scope.doRefresh = function(){
    	stateMessage.state2 = false;
    	stateMessage.state3 = false;
    	stateMessage.state4 = true;
    	
//  	var str2 = JSON.stringify($scope.chats.sort());
    	var str1 = JSON.stringify($scope.firstChats);
		var str2 = $scope.chats.slice(0);
//  	var str1 = $scope.firstChats.slice(0);
    	$scope.init();
    	
    	$timeout(function() {
     		endRefresh(str1,str2);
	   	}, 1000);
    	
//  	$scope.$broadcast('scroll.refreshComplete');
    }
    var endRefresh = function(value1,value2){
    	if (!stateMessage.state2 && !stateMessage.state3) {
    		if (value1 === JSON.stringify($scope.firstChats) ) {
    			var changeA = false;
    			if (value2.length === $scope.chats.length) {
    				for(var i = 0;i<value2.length;i++){
    					value2[i].$$hashKey = $scope.chats[i].$$hashKey;
    					if (JSON.stringify(value2[i])  !== JSON.stringify($scope.chats[i])) {
    						changeA = true;
    						break;
    					}
    				}
    			}else{
    				changeA = true;
    			}
    			
    			if (!changeA) {
    				newalert1("暂无最新文章发布，请稍后再刷新！");
    			}
    		}
    		$scope.$broadcast('scroll.refreshComplete');
    	}else{
    		$timeout(function() {
	         	endRefresh(value1,value2);
	   		}, 1000);
    	}
    }
	  //检查更新
	function getAccountMessage(){
		console.log("aaaa")
		cordova.getAppVersion.getVersionNumber(function(e){
			console.log(e)
			updateAccountMessage(e)
		});
	}

	   // 一个确认对话框
    $scope.showConfirm = function() {
    	var confirmPopup = $ionicPopup.confirm({
	       title: '更新提示',
	       template: '对不起，您目前的版本我们已经不再支持，建议您升级到最新版本。是否现在升级？',
	       okText	:	"是",
	       cancelText	:	"否"
	    });
    	confirmPopup.then(function(res) {
    		
    		if(res) {
    			if (ionic.Platform.isIOS()) {
    				var iosupdateurl = 'https://itunes.apple.com/cn/app/shou-dian-bai-shi-tong/id1138617331?mt=8';
					var op = 'location=no,zoom=yes,clearcache=yes,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭,enableViewportScale=yes';
					var inAppBrowserRef = cordova.InAppBrowser.open(iosupdateurl, '_blank', op);
    			}else{
    				var androidupdateurl = "http://bstoss.oss-cn-hangzhou.aliyuncs.com/bstapk/bst.apk";
       				var op = 'location=no,zoom=yes,clearcache=yes,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭,enableViewportScale=yes';
       				var inAppBrowserRef = cordova.InAppBrowser.open(androidupdateurl, '_blank', op);
    			}
       		} else {
       		}
//     		ionic.Platform.exitApp();
     	});
    };

	//获取头像&&添加用户登入版本信息
	var updateAccountMessage = function(versionId){
		var msgdata = {
			userId	:Msdk.user.userId+"",
			versionId:versionId
		};
		Msdk.postJSON(
			"/Account/getAccountMessage",
			msgdata,
			function(e){
				var picUrl = '';
				if(e.length>0){
					if(e[0].PIC_ID == undefined) {
						picUrl = "img/Logo.png";
					} else {
						Msdk.getFilePath(e[0].PIC_ID,
		                function(path){
		                	picUrl = path;
		                })
					}
				}	
				$scope.saveHistory("picUrl",picUrl);
			});
	}
})
.controller('Detail_freeCtrl', function($scope, $state,$ionicPopover, $stateParams, Msdk, $ionicPopup,$ionicHistory,$sce,$timeout,$ionicScrollDelegate) {
	//状态值 rs1 :是否进行收藏操作 rs2是否进行购买操作 rs3是否进行分享操作
	$scope.state = {rs1:0,rs2:0,r3:0};
	
	//初始化数据
	$scope.init = function(){
		var articleId = $stateParams.ARTICLE_ID;
		$scope.isBuy= $stateParams.CONS_REMIND=="01"?false:true;
		$scope.getDetailMessage(articleId);
	}
	$scope.messageD = {}; 
	//出现浮动框1
	$scope.popover = $ionicPopover.fromTemplateUrl('my-popover.html', {
        scope: $scope
      });
      // .fromTemplateUrl() 方法
	$ionicPopover.fromTemplateUrl('my-popover.html', {
	    scope: $scope
	}).then(function(popover) {
	    $scope.popover = popover;
	});
	$scope.openPopover = function($event) {
	    $scope.popover.show($event);
	};
	$scope.closePopover = function() {
		    $scope.popover.hide();
	};
	
	
	//出现浮动框2
	$scope.popover1 = $ionicPopover.fromTemplateUrl('shareCont-popover.html', {
        scope: $scope
      });
      // .fromTemplateUrl() 方法
	$ionicPopover.fromTemplateUrl('shareCont-popover.html', {
	    scope: $scope
	}).then(function(popover) {
	    $scope.popover1 = popover;
	});
	$scope.openPopover1 = function($event) {
		$scope.closePopover();
	    $scope.popover1.show($event);
	};
	$scope.closePopover1 = function() {
		    $scope.popover1.hide();
	};
	
	//出现浮动框3
	$scope.popover2 = $ionicPopover.fromTemplateUrl('imgdiv.html', {
        scope: $scope
      });
      // .fromTemplateUrl() 方法
	$ionicPopover.fromTemplateUrl('imgdiv.html', {
	    scope: $scope
	}).then(function(popover) {
	    $scope.popover2 = popover;
	});
	$scope.openimgurl = "";
	$scope.openPopover2 = function($event,openimgurl) {
		$scope.openimgurl = openimgurl;
		
	    $scope.popover2.show($event);
//	    $timeout(function(){
//	console.log(document.getElementById("myimg").width);
			var imgobj = document.getElementsByName("myimg");
	    	document.getElementsByName("myimg")[imgobj.length-1].width = document.body.clientWidth;
	    	 var delegate = $ionicScrollDelegate.$getByHandle('myScroll');
	    	 delegate.scrollTo(0, 0, false);
	    	 	//点击边上关闭窗口
//	 var htmlEl = document.getElementById("qwe");
//	 console.log("1111"+htmlEl);
//    htmlEl.on("click", function(event) {
//      if (event.target.nodeName === "qwe") {
//       $scope.closePopover2();
//      }
//    });
//	    },500);
	   
	};
	$scope.closePopover2 = function() {
		    $scope.popover2.hide();
	};
		  
	//关闭浮动框，出现搜索框
	$scope.openSearch = function(articleId){
		$scope.closePopover();
		$state.go("fullTextSearch",{
			articleId:articleId
		});
	}
	$scope.picUrl = "";
	$scope.getDetailMessage = function(articleId){
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId,
			isadd		:true
		};
		Msdk.postJSON(
			"/article/getArticleDetails",
			msgdata,
			function(e){
				var a = e[0];
				var date1 = new Date(a.UPDATE_TIME);
				a.UPDATE_TIME1 = date1.getYear()+"-"+date1.getMonth()+"-"+date1.getDate();
				a.UPDATE_TIME2 = date1.getHours() + ":" + date1.getMinutes();
				
				$scope.messageD = e[1];
				
				if(ionic.Platform.isIOS()){
					a.SCORE_NUM = a.IOS_SCORE_NUM;
				}
				var oldS = '<img';
//				var newS = '<img style="padding-right:2%; width :90% ;margin-left: 5%;"';
				var newS = '<img name = "imgName"';
//				var newS = '<p><img name = "imgName" style="width:90%; display:block; margin: 0 auto;"';
				
				var str = del_html_tags(a.ARTICLE_CONTENT,oldS,newS);
				a.ARTICLE_CONTENT = $sce.trustAsHtml(str);
//				if (a.bsConfigPicId == null || a.bsConfigPicId == "" || a.bsConfigPicId == undefined) {
//					if (a.PIC_ID == null || a.PIC_ID == "" || a.PIC_ID == undefined) {
//						a.bsConfigPicId = a.typePicId;
//					}else{
//						a.bsConfigPicId = a.PIC_ID;
//					}
//				}
				if(a.PIC_ID == undefined) {
						$scope.picUrl = "http://bstoss.oss-cn-hangzhou.aliyuncs.com/bstapk/Logo.png";
					} else {
						Msdk.getFilePath(a.PIC_ID,
		                function(path){
		                	$scope.picUrl = path;
		                })
					}
				$scope.chart = a;
				$timeout(function(){
					var objs = document.getElementsByName("imgName");
					for(var i = 0;i<objs.length;i++){
						if (objs[i].parentNode.childNodes.length<=2) {
							objs[i].onclick = imgOnclick;
//							objs[i].style = "width:90%; display:block; margin: 0 auto";
							objs[i].style.width = '90%';
							objs[i].style.display = 'block';
							objs[i].style.margin = '0 auto';
						}
						
					}
				},100);
			});
	}
	var inAppBrowserRef;
	var imgUrlin = "";
	var imgOnclick = function($event){
		imgUrlin = this.src;
//		$scope.openPopover2($event,this.src);
		window.localStorage.setItem("imgViewUrl",this.src);
		var imgViewUrl = 'http://bstoss.oss-cn-hangzhou.aliyuncs.com/imgView/imgView.html';
		var op = 'location=no,zoom=yes,clearcache=yes,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭,enableViewportScale=yes';
		var inAppBrowserRef = cordova.InAppBrowser.open(imgUrlin, '_blank', op);
		
//	    inAppBrowserRef.addEventListener("loadstop", callback(inAppBrowserRef,imgUrlin));
//			var scriptErrorMesssage =
//	     	"window.onload=function(){var imgViewUrl = '"+ imgUrlin + "';document.getElementById('myimg').src= imgViewUrl;}";
//			inAppBrowserRef.executeScript({ code: scriptErrorMesssage }, executeScriptCallBack);
	}

function callback(obj,url){
	var scriptErrorMesssage =
	"window.onload=function(){var imgViewUrl = '"+ url + "';document.getElementById('myimg').src= imgViewUrl;}"
	obj.executeScript({ code: scriptErrorMesssage }, executeScriptCallBack);
}

function executeScriptCallBack(params) {

    console.log('executeScriptCallBack')

}
	
	$scope.narrowImg = function(){
		var imgobj = document.getElementsByName("myimg");
		if (document.getElementsByName("myimg")[imgobj.length-1].width <= document.body.clientWidth) {
			return
		}
		 var delegate = $ionicScrollDelegate.$getByHandle('myScroll');
	     delegate.scrollTo(0, 0, false);
		document.getElementsByName("myimg")[imgobj.length-1].width = document.getElementsByName("myimg")[imgobj.length-1].width /2;
	};
	$scope.enlargeImg = function(){
		var imgobj = document.getElementsByName("myimg");
		
		if (document.getElementsByName("myimg")[imgobj.length-1].width >= (document.body.clientWidth*4)) {
			return
		}
		document.getElementsByName("myimg")[imgobj.length-1].width = document.getElementsByName("myimg")[imgobj.length-1].width *2;
	};
	
	
	
	$scope.colseqwe = function($event){
//		console.log($event.target.nodeName)
		if ($event.target.nodeName === 'DIV') {
			$scope.closePopover2();
		}
	}

	
	//字符串替换
	function del_html_tags(str,reallyDo,replaceWith) { 
		var e=new RegExp(reallyDo,"g"); 
		words = str.replace(e, replaceWith); 
		return words; 
	} 
	
	$scope.goBack = function(){
		  $scope.popover2.remove();
		  if (inAppBrowserRef) {
		  	inAppBrowserRef.close();
		  }
		var history =  $ionicHistory.backTitle();
		if (history == "文章详情") {
				$ionicHistory.goBack(-2);
			return;
		}
		$ionicHistory.goBack();
		
//			$ionicHistory.clearCache(["myInfo"]).then(function() {
//				$ionicHistory.goBack();
//			});
//		$state.go("tab.home");
	}
	//添加收藏
	$scope.addCollectionHistory = function(articleId){
		if ($scope.state.rs1 != 0) {
			newalert('正在获取数据，请稍后!');
			return;
		}
		$scope.state.rs1 = 1;
		$scope.closePopover();
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId
		};
		Msdk.postJSON(
			"/article/addCollectionHistory",
			msgdata,
			function(e){
				$scope.state.rs1 = 0;
				if (e[0].success == "success") {
//					var ipo = $ionicPopup.show({
//						title: '收藏成功!'
//					});
//					$scope.chart.isShouCang = 1;	
//					$timeout(function() {
//			           ipo.close(); 
//			   		}, 500);
					newalert('收藏成功!');
					$scope.chart.isShouCang = 1;
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
			});
	}
	//取消收藏
	$scope.deleteCollectionHistory = function(articleId){
		if ($scope.state.rs1 != 0) {
			newalert('正在获取数据，请稍后!');
			return;
		}
		$scope.state.rs1 = 1;
		$scope.closePopover();
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleIds	:[articleId]
		};
		Msdk.postJSON(
			"/myCollection/changeMyCollection",
			msgdata,
			function(e){
				$scope.state.rs1 = 0;
				if (e.success) {
					newalert('取消成功!');
					$scope.chart.isShouCang = 0;
				}
			});
	}
//	//分享文章
//	var cont = document.getElementById("shareCont");
//	var myshare = cont.getElementsByClassName("myshare")[0];
//	cont.onclick = function() {
//		$scope.$apply(function() {
//			$scope.myShareFlag = true;
//		});
//	};
//	myshare.onclick = function() {
//		event.stopPropagation();
//	};
	
	var  myPopup = "";
	$scope.myShareFlag = true;
	$scope.share = function(chart1,$event){
		$scope.closePopover();
		$scope.myShareFlag = false;
		if (chart1.DOWN_SCORE == 0) {
			$scope.openshare($event);
			return ;
		}
		if ($scope.messageD.buy > 0 ) {
			$scope.openshare($event);
			return ;
		}
		if ($scope.isBuy && chart1.DOWN_SCORE < $scope.chart.SCORE_NUM) {
			$scope.toBuy($scope.chart.ARTICLE_ID,$scope.chart.DOWN_SCORE,$event);
			return;
		}
		var text1 = '<ion-checkbox class="write-detail-check change-bg" ng-model="isBuy" ng-change="changerBuy()"><span>以后不再提示我，并自动购买</span></ion-checkbox>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"closePopup()\" ng-if="true">返回</a>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"toBuy(chart.ARTICLE_ID,chart.DOWN_SCORE,$event)\">购买并继续分享</a>';
		var text2 = '<span>您的余额不足</span>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"closePopup()\" ng-if="true">返回</a>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"toPrepaid()\">余额不足，请充值再分享</a>';
		myPopup = $ionicPopup.show({
			scope: $scope,
			title: 		'<div class="titler-le">分享：'+chart1.DOWN_SCORE+'积分</div>'+
						'<div class="titler-le">余额： '+$scope.chart.SCORE_NUM+'积分</div>',
			template:	chart1.DOWN_SCORE>$scope.chart.SCORE_NUM?text2:text1, 
		});
	}
	
	$scope.closePopup = function(){
		if (myPopup != "") {
			myPopup.close(); 
		}
	}

	$scope.openshare = function($event){
		$scope.openPopover1($event);
	}

	$scope.toShare = function(articleId,type){
		$scope.closePopover1();
		if (type === 1) {
			$scope.shareweixin1(articleId,type);
		}else if(type === 2){
			$scope.shareweixin2(articleId,type);
		}else if (type === 3) {
			$scope.shareQQ1(articleId,type);
		}else if (type === 4) {
			$scope.shareQQ2(articleId,type);
		}
//		$scope.openPopover1($event);
//		$scope.addShareHistory(articleId);
	}
	
	//微信好友分享
	$scope.shareweixin1 = function(articleId,type){
	    Wechat.share({
            message: {
                title: $scope.chart.ARTICLE_TITLE,
                description: $scope.chart.ARTICLE_SUMMARY,
                thumb: $scope.picUrl,
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: $scope.chart.SHARE_URL
                }
            },
            scene: Wechat.Scene.SESSION   // share to Timeline
        }, function () {
             $scope.addShareHistory(articleId);
        }, function (reason) {
//          alert("Failed: " + reason);
//			newalert('分享失败');
        });
	}
	//微信朋友圈分享
	$scope.shareweixin2 = function(articleId,type){
	    Wechat.share({
            message: {
                title: $scope.chart.ARTICLE_TITLE,
                description: $scope.chart.ARTICLE_SUMMARY,
                thumb: $scope.picUrl,
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: $scope.chart.SHARE_URL
                }
            },
            scene: Wechat.Scene.TIMELINE    // share to Timeline
        }, function () {
            $scope.addShareHistory(articleId);
        }, function (reason) {
//          newalert('分享失败');
        });
	}
		//QQ 分享
	$scope.shareQQ1 = function(articleId,type){
		var args = {};
		args.url = $scope.chart.SHARE_URL;
		args.title = $scope.chart.ARTICLE_TITLE;
		args.description = $scope.chart.ARTICLE_SUMMARY;
		args.imageUrl = $scope.picUrl;
		args.appName = "售电百事通开发版";
		YCQQ.shareToQQ(function(){
		    console.log("share success");
		      $scope.addShareHistory(articleId);
		},function(failReason){
		    console.log(failReason);
		},args);
	}
	$scope.shareQQ2 = function(articleId,type){
		 var args = {};
		 args.url = $scope.chart.SHARE_URL;
		 args.title = $scope.chart.ARTICLE_TITLE;
		 args.description = $scope.chart.ARTICLE_SUMMARY;
		 var imgs =[$scope.picUrl];
		 args.imageUrl = imgs;
		  YCQQ.shareToQzone(function () {
		      $scope.addShareHistory(articleId);
		  }, function (failReason) {
		  }, args);
	}
	//添加分享历史记录
	$scope.addShareHistory = function(articleId){
		if ($scope.state.rs3 === 1 ){
			newalert("正在获取数据，请稍后");
			return;
		}
		$scope.state.rs3 = 1;
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId
		};
		Msdk.postJSON(
			"/article/addShareHistory",
			msgdata,
			function(e){
				$scope.state.rs3 = 0;
				if (e[0].success == "success") {
					
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
			});
	}
	
	//分享购买
	$scope.toBuy = function(articleId,downScore,$event){
		if ($scope.state.rs2 === 1 ){
			newalert("正在购买，请稍后");
			return;
		}
		$scope.state.rs2 = 1;
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId,
			RreadScore	:downScore,
			CONS_TYPE	: "02",
			isBuy : $scope.isBuy?"02":"01",
			SYS_TYPE:ionic.Platform.isIOS()?"02":"01"
		};
		Msdk.postJSON(
			"/article/toBuy",
			msgdata,
			function(e){
				if (e[0].success ==='success') {
					$scope.state.rs2 = 0;
					$scope.messageD.buy = 1;
					if (myPopup != "") {
						myPopup.close(); 
					}
					$timeout(function(){
						$scope.openshare($event);
					},300)
					
				}else{
					newalert("该文章不存在，请稍后再试!");
				}
				
//				$state.go("detail_free",{
//					ARTICLE_ID	:articleId
//				});
			});
	
	}
	
	//提升信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
	$scope.toPrepaid = function(){
		if (myPopup) {
			myPopup.close();
		}
			if (ionic.Platform.isIOS()) {
	//			prepaid/:scoreNum',
				$state.go("iosprepaid",{
					scoreNum:$scope.chart.SCORE_NUM
				});
			}else{
				$state.go("prepaid",{
					scoreNum:$scope.chart.SCORE_NUM
				});
			}
		}
})
.controller('Detail_chargeCtrl', function($scope, $state,$ionicPopover, $stateParams, Msdk,$sce,$ionicPopup,$timeout) {
	//状态值 rs1 :是否进行收藏操作 rs2是否进行购买操作 rs3是否进行分享操作
	$scope.state = {rs1:0,rs2:0,r3:0};
	$scope.messageD = {};
	//初始化数据	
	$scope.chart = [];
	$scope.isBuy = false;
	$scope.init = function(){
		var articleId = $stateParams.ARTICLE_ID;
		$scope.isBuy= $stateParams.CONS_REMIND=="01"?false:true;
		$scope.getDetailMessage(articleId);
	}
	$scope.picUrl = "";
	$scope.getDetailMessage = function(articleId){
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId
		};
		Msdk.postJSON(
			"/article/getArticleDetails",
			msgdata,
			function(e){
				$scope.messageD = e[1];
				var a = e[0];
				var date1 = new Date(a.UPDATE_TIME);
				a.UPDATE_TIME1 = date1.getYear()+"-"+date1.getMonth()+"-"+date1.getDate();
				a.UPDATE_TIME2 = date1.getHours() + ":" + date1.getMinutes();
				if(ionic.Platform.isIOS()){
					a.SCORE_NUM = a.IOS_SCORE_NUM;
				}
				var oldS = '<img';
//				var newS = '<img style="padding-right:2%; width :90% ;margin-left: 5%;"';
//				var newS = '<img style="width:90%; display:block; margin: 0 auto;"';
				var newS = '<img name = "imgName"';

				
				var str = del_html_tags(a.ARTICLE_CONTENT,oldS,newS);
				a.ARTICLE_CONTENT = $sce.trustAsHtml(str);
//					if (a.bsConfigPicId == null || a.bsConfigPicId == "" || a.bsConfigPicId == undefined) {
//					if (a.PIC_ID == null || a.PIC_ID == "" || a.PIC_ID == undefined) {
//						a.bsConfigPicId = a.typePicId;
//					}else{
//						a.bsConfigPicId = a.PIC_ID;
//					}
//				}
				if(a.PIC_ID == undefined) {
						$scope.picUrl = "http://bstoss.oss-cn-hangzhou.aliyuncs.com/bstapk/Logo.png";
					} else {
						Msdk.getFilePath(a.PIC_ID,
		                function(path){
		                	$scope.picUrl = path;
		                })
					}
				$scope.chart = a;
				
				if ($scope.isBuy && $scope.chart.READ_SCORE<=$scope.chart.SCORE_NUM) {
					$scope.toBuy($scope.chart.ARTICLE_ID,$scope.chart.READ_SCORE);
				}
				$timeout(function(){
					var objs = document.getElementsByName("imgName");
					for(var i = 0;i<objs.length;i++){
						if (objs[i].parentNode.childNodes.length<=2) {
							objs[i].style.width = '90%';
							objs[i].style.display = 'block';
							objs[i].style.margin = '0 auto';
						}
						
					}
				},10);
			});
	}
		//字符串替换
	function del_html_tags(str,reallyDo,replaceWith) { 
		var e=new RegExp(reallyDo,"g"); 
		words = str.replace(e, replaceWith); 
		return words; 
	} 
	$scope.toBuy = function(articleId,RreadScore){
		if ($scope.state.rs3 === 1 ){
			newalert("正在购买，请稍后");
			return;
		}
		$scope.state.rs3 = 1;
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId,
			RreadScore	:RreadScore,
			CONS_TYPE	: "01",
			isBuy : $scope.isBuy?"02":"01",
			SYS_TYPE:ionic.Platform.isIOS()?"02":"01"
		};
		Msdk.postJSON(
			"/article/toBuy",
			msgdata,
			function(e){
				if (e[0].success ==='success') {
					$scope.state.rs3 = 0;
					$state.go("detail_free",{
						ARTICLE_ID	:articleId,
						CONS_REMIND	:msgdata.isBuy
					});
				}else{
					newalert("文章已下架！");
				}
			
			});
	
	}
	$scope.changerBuy = function(){
		$scope.isBuy = !$scope.isBuy;
	}
	
	//出现浮动框
	$scope.popover = $ionicPopover.fromTemplateUrl('my-popover.html', {
        scope: $scope
      });
      // .fromTemplateUrl() 方法
	$ionicPopover.fromTemplateUrl('my-popover.html', {
	    scope: $scope
	  }).then(function(popover) {
	    $scope.popover = popover;
	  });
	$scope.openPopover = function($event) {
	    $scope.popover.show($event);
	  };
	$scope.closePopover = function() {
		    $scope.popover.hide();
		  };
		  
	//关闭浮动框，出现搜索框
	$scope.openSearch = function(articleId){
		$scope.closePopover();
		$state.go("fullTextSearch",{
			articleId:articleId
		});
	}
	
		//出现浮动框2
	$scope.popover1 = $ionicPopover.fromTemplateUrl('shareCont-popover.html', {
        scope: $scope
      });
      // .fromTemplateUrl() 方法
	$ionicPopover.fromTemplateUrl('shareCont-popover.html', {
	    scope: $scope
	}).then(function(popover) {
	    $scope.popover1 = popover;
	});
	$scope.openPopover1 = function($event) {
		$scope.closePopover();
	    $scope.popover1.show($event);
	};
	$scope.closePopover1 = function() {
		    $scope.popover1.hide();
	};
	
	//添加收藏
	$scope.addCollectionHistory = function(articleId){
		if ($scope.state.rs1 != 0) {
			newalert('正在获取数据，请稍后!');
			return;
		}
		$scope.state.rs1 = 1;
		$scope.closePopover();
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId
		};
		Msdk.postJSON(
			"/article/addCollectionHistory",
			msgdata,
			function(e){
				$scope.state.rs1 = 0;
				if (e[0].success == "success") {
//					var ipo = $ionicPopup.show({
//						title: '收藏成功!'
//					});
//					$timeout(function() {
//			           ipo.close(); 
//			   		}, 500);
					newalert('收藏成功!');
					$scope.chart.isShouCang = 1;
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
			});
	}
	
	//取消收藏
	$scope.deleteCollectionHistory = function(articleId){
		if ($scope.state.rs1 != 0) {
			newalert('正在获取数据，请稍后!');
			return;
		}
		$scope.state.rs1 = 1;
		$scope.closePopover();
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleIds	:[articleId]
		};
		Msdk.postJSON(
			"/myCollection/changeMyCollection",
			msgdata,
			function(e){
				$scope.state.rs1 = 0;
				if (e.success) {
					newalert('取消成功!');
					$scope.chart.isShouCang = 0;
				}
			});
	}
	//分享文章
	var  myPopup = "";
	$scope.share = function(chart1,vent){
		$scope.closePopover();
		if (chart1.DOWN_SCORE === 0) {
			$scope.openPopover1(vent);
			return ;
		}
		if ($scope.messageD.buy > 0 ) {
			$scope.openPopover1(vent);
			return ;
		}
		if ($scope.isBuy && chart1.DOWN_SCORE < $scope.chart.SCORE_NUM) {
			$scope.toBuy1(chart.ARTICLE_ID,chart.DOWN_SCORE,vent);
			return;
		}
		var text1 = '<ion-checkbox class="write-detail-check change-bg" ng-model="isBuy" ng-change="changerBuy()"><span>以后不再提示我，并自动购买</span></ion-checkbox>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"closePopup()\" ng-if="true">返回</a>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"toBuy1(chart.ARTICLE_ID,chart.DOWN_SCORE,$event)\">购买并继续分享</a>'; // String (可选)。放在弹窗body内的html模板。
		
		var text2 = '<span>您的余额不足</span>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"closePopup()\" ng-if="true">返回</a>'+
					'<a class="button btn-all-narrow back-blue"  ng-click=\"toPrepaid()\">余额不足，请充值再分享</a>';
		
		myPopup = $ionicPopup.show({
			scope: $scope,
			title: 		'<div class="titler-le">分享：'+chart1.DOWN_SCORE+'积分</div>'+
						'<div class="titler-le">余额： '+$scope.chart.SCORE_NUM+'积分</div>',
			template:	chart1.DOWN_SCORE>$scope.chart.SCORE_NUM?text2:text1
		});
	}
	
	$scope.closePopup = function(){
		myPopup.close();
	}
	
		//分享购买
	$scope.toBuy1 = function(articleId,downScore,$event){
		if ($scope.state.rs3 === 1 ){
			newalert("正在购买，请稍后");
			return;
		}
		$scope.state.rs3 = 1;
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId,
			RreadScore	:downScore,
			CONS_TYPE	: "02",
			isBuy : $scope.isBuy?"02":"01",
			SYS_TYPE:ionic.Platform.isIOS()?"02":"01"
		};
		Msdk.postJSON(
			"/article/toBuy",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					$scope.state.rs3 = 0;
					$scope.messageD.buy = 1;
					myPopup.close(); 
					$timeout(function(){
						$scope.openPopover1($event);
					},300)
					
				}else{
					newalert("文章不存在");
				}
				
//				$state.go("detail_free",{
//					ARTICLE_ID	:articleId
//				});
			});
	
	}
	
	$scope.toShare = function(articleId,type){
		$scope.closePopover1();
		if (type === 1) {
			$scope.shareweixin1(articleId,type);
		}else if(type === 2){
			$scope.shareweixin2(articleId,type);
		}else if (type === 3) {
			$scope.shareQQ1(articleId,type);
		}else if (type === 4) {
			$scope.shareQQ2(articleId,type);
		}
	}
	
	//微信好友分享
	$scope.shareweixin1 = function(articleId,type){
	    Wechat.share({
            message: {
                title: $scope.chart.ARTICLE_TITLE,
//              description: '来自售电百事通',
				description:$scope.chart.ARTICLE_SUMMARY,
                thumb: $scope.picUrl,
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: $scope.chart.SHARE_URL
                }
            },
            scene: Wechat.Scene.SESSION   // share to Timeline
        }, function () {
             $scope.addShareHistory(articleId);
        }, function (reason) {
//          alert("Failed: " + reason);
//			newalert('分享失败');
        });
	}
	//微信朋友圈分享
	$scope.shareweixin2 = function(articleId,type){
	    Wechat.share({
            message: {
                title: $scope.chart.ARTICLE_TITLE,
                description: $scope.chart.ARTICLE_SUMMARY,
                thumb: $scope.picUrl,
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: $scope.chart.SHARE_URL
                }
            },
            scene: Wechat.Scene.TIMELINE    // share to Timeline
        }, function () {
            $scope.addShareHistory(articleId);
        }, function (reason) {
//          newalert('分享失败');
        });
	}
	//QQ 分享
	$scope.shareQQ1 = function(articleId,type){
		var args = {};
		args.url = $scope.chart.SHARE_URL;
		args.title = $scope.chart.ARTICLE_TITLE;
		args.description = $scope.chart.ARTICLE_SUMMARY;
		args.imageUrl = $scope.picUrl;
		args.appName = "售电百事通开发版";
		YCQQ.shareToQQ(function(){
		    console.log("share success");
		      $scope.addShareHistory(articleId);
		},function(failReason){
		    console.log(failReason);
		},args);
	}
	$scope.shareQQ2 = function(articleId,type){
		 var args = {};
		 args.url = $scope.chart.SHARE_URL;
		 args.title = $scope.chart.ARTICLE_TITLE;
		 args.description = $scope.chart.ARTICLE_SUMMARY;
		 var imgs =[$scope.picUrl];
		 args.imageUrl = imgs;
		  YCQQ.shareToQzone(function () {
		      $scope.addShareHistory(articleId);
		  }, function (failReason) {
		  }, args);
	}
	
		//添加分享历史记录
	$scope.addShareHistory = function(articleId){
		if ($scope.state.rs3 === 1 ){
			newalert("正在获取数据，请稍后");
			return;
		}
		$scope.state.rs3 = 1;
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId
		};
		Msdk.postJSON(
			"/article/addShareHistory",
			msgdata,
			function(e){
				$scope.state.rs3 = 1;
				if (e[0].success == "success") {
//					window.plugins.socialsharing.share($scope.chart.ARTICLE_TITLE, 'ssdsdssss', null, $scope.chart.SHARE_URL);
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
			});
	}

		//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
		$scope.toPrepaid = function(){
			if (myPopup) {
				myPopup.close();
			}
			if (ionic.Platform.isIOS()) {
	//			prepaid/:scoreNum',
				$state.go("iosprepaid",{
					scoreNum:$scope.chart.SCORE_NUM
				});
			}else{
				$state.go("prepaid",{
					scoreNum:$scope.chart.SCORE_NUM
				});
			}
		}
})
.controller('TitleSearchCtrl', function($scope, $state,$ionicPopover, $stateParams,$interval, Msdk,$sce,$timeout) {
	//初始化数据	
	$scope.chart = [];
	var timer = "";
	$scope.searchHistory = [];
	$scope.searchContent = {value:""};
	$scope.init = function(){
		getSearchHistory();
	}
	
	//获取关键字
	$scope.toSearchTitle = function(){
		$interval.cancel(timer);
		var signValue = $scope.searchContent.value;
		if (signValue==="") {
			return;
		}
		 timer = $interval(function(){	
			if ($scope.searchContent.value == signValue) {
				$interval.cancel(timer);
				var arry = $scope.searchContent.value.split(" "); 
				for(var i=0;i<arry.length;i++){
					if (arry[i]=="") {
						arry.splice(i, 1);
						i=i-1;
					}
				}
				
				$scope.getSearchRus(arry);
			}
		},1000);
	}
	
	//根据标题搜索文章
	$scope.getSearchRus = function(arry){
		var msgdata = {};
		
		for(var i=0;i<arry.length;i++){
			msgdata[i] = arry[i];
		}
		msgdata.length = arry.length;
		Msdk.postJSON(
			"/article/toSearchTitle",
			msgdata,
			function(e){
				if (e.length === 0) {
					newalert("未找到相关的文章！");
				}
				$scope.saveHistory($scope.searchContent.value);
				$scope.chart = [];
				var chats1 = e;
				for(var i=0;i<chats1.length;i++){
					var time = new Date(chats1[i].UPDATE_TIME);
					chats1[i].time1 = time.getFullYear() + "-" + (time.getMonth()+1) + "-" + time.getDate();
					chats1[i].time2 = time.getHours() + time.getMinutes();
					
					chats1[i].PIC_ID = chats1[i].PIC_ID!=''?chats1[i].PIC_ID:chats1[i].typePicId;
					chats1[i].ARTICLE_TITLE = del_html_tags(chats1[i].ARTICLE_TITLE,arry[0],replaceWithC(arry[0]));
					chats1[i].ARTICLE_TITLE = $sce.trustAsHtml(chats1[i].ARTICLE_TITLE);
				}
				$scope.chart = chats1;
				//$scope.initSearchHistory();
			});
	}
	
	//文章详情
	$scope.toDetail = function(IS_FEE,ARTICLE_ID,READ_SCORE){
		
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:ARTICLE_ID,
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				if (e[0].success === 'success') {
					if(READ_SCORE==0 || e[0].buy >0 ){
						$state.go("detail_free",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}else if(READ_SCORE > 0 && e[0].buy == 0 ){
						$state.go("detail_charge",{
							ARTICLE_ID	:ARTICLE_ID,
							CONS_REMIND :e[0].CONS_REMIND
						});
					}
				}else{
					newalert('当前文章已被管理人员下架，感谢您的关注！');
				}
				
				
			});
		
		
	}
	
	//获取搜索历史记录，
	var getSearchHistory = function(){
		var msgdata = {userId : Msdk.user.userId+""};
		Msdk.postJSON(
			"/homeSearchHistory/getHomeSearchHistory",
			msgdata,
			function(data) {
				$scope.searchHistory = data;
			});
	}
	
	//保存搜索记录
	$scope.saveHistory = function(searchWord){
		var msgdata = {
			userId 			:	Msdk.user.userId+"",
			searchContent	:	searchWord
		};
		Msdk.postJSON(
			"/homeSearchHistory/saveHomeSearchHistory",
			msgdata,
			function(data) {
				if (data[0].result == "success") {
					console.log("添加搜索记录成功");
					
				}
			});
		
	}
	
	//清空历史记录
    $scope.deleteHistory = function(){
    	var msgdata = {
			userId 			:	Msdk.user.userId+""
		};
		Msdk.postJSON(
			"/homeSearchHistory/deleteHomeSearchHistory",
			msgdata,
			function(data) {
				if (data[0].result == "success") {
					console.log("记录删除成功");
					$scope.searchHistory = [];
				}
			});
    }
	
	$scope.historySearch = function(value){
		$scope.searchContent.value = value;
		$scope.toSearchTitle();
	}
	
	function del_html_tags(str,reallyDo,replaceWith) { 
		if (reallyDo == "$" ||reallyDo == "(" ||reallyDo == ")" ||reallyDo == "^" ||
		    reallyDo == "\\" || reallyDo == "*" ||reallyDo == "+" ||reallyDo == "?" || reallyDo == "." ) 
		{
			reallyDo = "\\" + reallyDo;
		}
		var e=new RegExp(reallyDo,"g");
		words = str.replace(e, replaceWith); 
		return words; 
	} 
	
	function replaceWithC(newVal){
		return '<span style="background-color: #99ccff;" name = "searchValue">'+newVal+'</span>';
	}
	
	$scope.mouseDown = function(){
		var myInput = document.getElementById("myinput");
		if (myInput == document.activeElement) {
			$timeout(function(){
                document.getElementById("myinput").blur();
            },100);
			console.log('获取焦点');
		}
		
	}
	
			//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "top",
		      addPixelsY: 160  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
//	$scope.fb = false;
//	$scope.aa1 = function(){
//		$scope.fb = false;
//	}
//	$scope.aa2 = function(){
//		$scope.fb = true;
//	}
	
	
	//获取搜索历史记录，初始化历史数据
//  function getSearchHistory() {
//		var history = window.localStorage.getItem("contactsSearchChatHistory");
//		if (history == null) {
//		    return [];
//		} else {
//		   return history.split(",");
//		}
//  }
	
   
   //清空历史记录
//  $scope.deleteHistory = function(){
//   // debugger;
//    window.localStorage.removeItem("contactsSearchChatHistory");
//    $scope.initSearchHistory();
//  }
    
     /**
     * 使用localstorage保持历史记录
     */
//  $scope.saveHistory = function(searchWord){
//
//    //历史记录的长度
//    var hisLength=5;
//      var history=getSearchHistory();
//		
//		
//    //去重
//    for(x in history){
//      if(history[x]==searchWord){
//        history.splice(x,1);
//      }
//    }
//
//    //如果大于最大长度截取
//    if (history.length > hisLength-1) {
//      var newHistory = [];
//      for (var i = 0; i < hisLength-1; i++) {
//        newHistory.push(history[i]);
//      }
//      history=newHistory;
//    }
//
//    history.reverse();
//    history.push(searchWord);
//    history.reverse();
//    window.localStorage.setItem("contactsSearchChatHistory",history);
//    $scope.initSearchHistory();
//
//  }
//	$scope.saveHistory = function(searchWord){
//		var history = $scope.searchHistory();
//	}
    
    // 初始化搜索历史
//  $scope.initSearchHistory=function () {
//    //debugger;
//    //$scope.searchHistory=getSearchHistory();
//    getSearchHistory();
//  }

})
.controller('FullTextSearchCtrl', function($scope, $state,$ionicPopover, $stateParams, Msdk,$sce,$timeout,$ionicScrollDelegate) {
	//初始化数据	
	$scope.searchContent = {value:""};
	$scope.text = "";
	$scope.init = function(){
		var articleId = $stateParams.articleId;
		$scope.getDetailMessage(articleId);
	}
	var inne = "";
	$scope.getDetailMessage = function(articleId){
		var msgdata = {
			userId		:Msdk.user.userId+"",
			articleId	:articleId
		};
		Msdk.postJSON(
			"/article/getArticleDetails",
			msgdata,
			function(e){
				var a = e[0];
				var date1 = new Date(a.UPDATE_TIME);
				a.UPDATE_TIME1 = date1.getYear()+"-"+date1.getMonth()+"-"+date1.getDate();
				a.UPDATE_TIME2 = date1.getHours() + ":" + date1.getMinutes();
				
				

				var oldS = '<img';
//				var newS = '<img style="padding-right:2%; width :90% ;margin-left: 5%;"';
				var newS = '<img name = "imgName"';
//				var newS = '<p><img style="width:90%; display:block; margin: 0 auto;"';

				
				var str = del_html_tags(a.ARTICLE_CONTENT,oldS,newS);
				a.ARTICLE_CONTENT1 = $sce.trustAsHtml(str);
				a.ARTICLE_CONTENT = str;
				$scope.chart = a;
				$scope.text = $scope.chart.ARTICLE_CONTENT1;
				$timeout(function(){
					var objs = document.getElementsByName("imgName");
					for(var i = 0;i<objs.length;i++){
						if (objs[i].parentNode.childNodes.length<=2) {
							objs[i].style.width = '90%';
							objs[i].style.display = 'block';
							objs[i].style.margin = '0 auto';
						}
						
					}
				},10);
				
			});
	}

	$scope.fullSearch = function(){
//		$scope.text = $scope.chart.ARTICLE_CONTENT;
//		var src = $scope.chart.ARTICLE_CONTENT+"";
//		console.log($scope.searchContent.value);
//		var value = $scope.searchContent.value;
//		
//		var str = src.replace(value, value1);
//		$scope.text = str;
	}
	
	
	$scope.$watch('searchContent.value',function(newVal,oldVal){
		
		if (newVal == "") {
			if (inne != "") {
				document.getElementById("myP").innerHTML = inne ;
			}
			return;
		}
		if ($scope.chart!=undefined) {
			
			if (inne == "") {
				inne = document.getElementById("myP").innerHTML;
			}
			document.getElementById("myP").innerHTML = inne;
			
			var a = document.getElementById("myP").childNodes;
			for(var i = 0; i<a.length;i++){
				var obj =  a[i].childNodes;
				if (obj[0] == undefined) {
					break;
				}
				if (  obj[0].innerText != "" || obj[0].nodeName == "#text") {
					
					if (obj.length==1){
//						console.log(obj)
						selectValue(obj,newVal,0);
					}else if(obj.length>1){
						for(var j = 0; j<obj.length;j++){
							
//							selectValue(obj[j],newVal);
//							if (j==0) {
////								console.log(obj,"11");
//							}
//							console.log(obj[j].childNodes[0]);
							if (obj[j].childNodes[0] != undefined) {
								selectValue(obj[j].childNodes,newVal,0);
							}
							
//							console.log(j)
						}
						
					}
					
					
				}
			}
			spanNum = 0;
//		  $ionicScrollDelegate.scrollTop(true);	
			var a = document.getElementsByName("selectedSpan");
			if (document.getElementsByName("selectedSpan")[0] != undefined) {
				document.getElementsByName("selectedSpan")[0].style.backgroundColor = "#ff9933";
				var posY = document.getElementsByName("selectedSpan")[0].offsetTop;
				$ionicScrollDelegate.scrollTo(0, posY-100, false)
//				document.getElementsByName("selectedSpan")[0].scrollIntoView(false);
				
			}
//			var src = $scope.chart.ARTICLE_CONTENT;
//			var str = del_html_tags(src,newVal,replaceWithC(newVal));
			//document.getElementById("myP").innerHTML = str;
//			$scope.text = $sce.trustAsHtml(str);
		}
	});
	
	
	function selectValue(obj,newVal,num){
		if (obj[num].innerText != undefined ) {
			var str = obj[num].innerText + "";
			obj[num].innerHTML = del_html_tags(str,newVal,replaceWithC(newVal))
		}else if (obj[num].nodeValue != undefined) {
			var str = obj[num].nodeValue + "";
			obj[num].parentNode.innerHTML = del_html_tags(str,newVal,replaceWithC(newVal))
		}
	}
	
	function replaceWithC(newVal){
		return '<span style="background-color:#ffff33;" name="selectedSpan">'+newVal+'</span>';
	}
	
	function del_html_tags(str,reallyDo,replaceWith) { 
		if (reallyDo == "$" ||reallyDo == "(" ||reallyDo == ")" ||reallyDo == "^" ||
		    reallyDo == "\\" || reallyDo == "*" ||reallyDo == "+" ||reallyDo == "?" || reallyDo == "." ) 
		{
			reallyDo = "\\" + reallyDo;
		}
		var e=new RegExp(reallyDo,"g");
		words = str.replace(e, replaceWith); 
		return words; 
	} 
	
	var spanNum = 0;
	$scope.nextValue = function(){
		var a = document.getElementsByName("selectedSpan");
		spanNum = spanNum + 1;
//		console.log(a[spanNum]);
		if (a[spanNum] != undefined) {
			document.getElementsByName("selectedSpan")[spanNum-1].style.backgroundColor = "#ffff33";
			document.getElementsByName("selectedSpan")[spanNum].style.backgroundColor = "#ff9933";
			var posY = document.getElementsByName("selectedSpan")[spanNum].offsetTop;
			$ionicScrollDelegate.scrollTo(0, posY-100, false);
//			document.getElementsByName("selectedSpan")[spanNum].scrollIntoView(false);
			
		}else{
			if (a.length === 0) {
				newalert('无法找到匹配内容。');
				return;
			}
			newalert('已经定位到最后。');
			document.getElementsByName("selectedSpan")[spanNum-1].style.backgroundColor = "#ffff33"
			spanNum = 0
			document.getElementsByName("selectedSpan")[0].style.backgroundColor = "#ff9933"
//				document.getElementsByName("selectedSpan")[spanNum].scrollIntoView(false);
				var posY = document.getElementsByName("selectedSpan")[0].offsetTop;
				$ionicScrollDelegate.scrollTo(0, posY-100, true);
			return;
		}
		
	}
	
			//提示信息
	var newalert = function(message){
//		if (ionic.Platform.isIOS()) {
//			return;
//		}
		window.plugins.toast.showWithOptions(
		    {
		      message: message,
		      duration: "short", // which is 2000 ms. "long" is 4000. Or specify the nr of ms yourself. 
		      position: "bottom",
		      addPixelsY: -40  // added a negative value to move it up a bit (default 0) 
		    }
		);
	}
	
	$scope.mouseDown = function(){
		var myInput = document.getElementById("myinput");
		if (myInput == document.activeElement) {
			$timeout(function(){
                document.getElementById("myinput").blur();
            },100);
//			console.log('获取焦点');
		}
		
	}
})
;

