angular.module('smemobile')
.config(function($stateProvider){
    $stateProvider
    .state('paydemo', {
        url : '/paydemo',
        templateUrl : 'templates/demo/paydemo.html',
        controller : 'PayDemoCtrl'
    })
})
.controller('PayDemoCtrl', function($scope,Msdk,$ionicPopup) {
    var alipaySuccess = function(e){
        console.log(JSON.stringify(e));
        $ionicPopup.alert({title:"客户端支付完成，在服务端确认"});
        Msdk.postJSON("/msdk/alipay/demo/confirm_pay_demo",e.result,
            function(ve){
                $ionicPopup.alert({title:ve});
            }
        );
    }
    var alipayError = function(e){
        console.log(JSON.stringify(e));
        $ionicPopup.alert({title:e.memo});
    }
    /**
     * 注意！这是测试页面，在正常情况下，商品信息应在服务端验证
     */
    $scope.payModel = {
        out_trade_no:"1317",
        subject:"好吃的",
        total_fee:"0.01",
        body:"测试商品的详情"
        ,notify_url:"http://1e386cf4.ngrok.io/sme/mobile/msdk/alipay/notify"
    };
    $scope.signStr = "";
    $scope.alipaySignDemo = function(){
        Msdk.postJSON("/msdk/alipay/demo/sign_demo",$scope.payModel,function(e){
            console.log(e);
            //调用支付宝移动支付
            $scope.signStr=e;
            cordova.plugins.AliPay.pay($scope.signStr,alipaySuccess, alipayError);
        });
    }
    
    $scope.alipayNotifyTest = function(){
        Msdk.postJSON("/msdk/alipay/notify"
            ,{
                out_trade_no:"1314",
                subject:"好吃的",
                total_fee:"0.01",
                body:"测试商品的详情",
                sign_type:"RSA",
                sign:"ABFAFAFAF//adf"
            }
            ,function(e){
                $ionicPopup.alert({title:e});
            }
        );
    }
    
    $scope.weixinPayDemo = function(){
        Msdk.postJSON(
            "/msdk/weixin/app_pay",
            {
                out_trade_no:"11",
                total_fee:"0.01",
                body:"测试商品的详情",
                spbill_create_ip:"114.55.92.162"
            },
            function(e){
                console.log(e);
            }
        );
    }
});