angular.module('bstmobile')

.config(function($stateProvider){
	$stateProvider
	.state('sysSetting', {
		url : '/sysSetting',
		templateUrl : 'templates/my/setting/sysSetting.html',
		controller : 'SysSettingCtrl'
	})
	
	.state('feedback', {
	  	url : '/feedback',
	  	templateUrl : 'templates/my/setting/feedback.html',
        controller : 'FeedbackCtrl'
  	})
	
	.state('about', {
	  	url : '/about',
	  	templateUrl : 'templates/my/setting/about.html',
	  	controller : "AboutCtrl"
  	})
	
	.state('serves', {
	  	url : '/serves',
	  	templateUrl : 'templates/my/setting/serves.html',
        
  	})
	
	 .state('welcome', {
	  	url : '/welcome',
	  	templateUrl : 'templates/my/setting/welcome.html',
        controller : 'WelcomeCtrl'
  	})
	.state('welcome1', {
	  	url : '/welcome1/:versionNumber',
	  	templateUrl : 'templates/my/setting/welcome1.html',
        controller : 'WelcomeCtrl1'
  	})
	 
	.state('changePsw', {
	  	url : '/changePsw',
	  	templateUrl : 'templates/my/setting/changePsw.html',
	 	controller : 'ChangePswCtrl'
    })
	
	 .state('newFuncIntroduce', {
	  	url : '/newFuncIntroduce',
	  	templateUrl : 'templates/my/setting/newFuncIntroduce.html',
        
  	})
	 .state('download', {
	  	url : '/download',
	  	templateUrl : 'templates/my/setting/download.html',
        
  	})
})
.controller('WelcomeCtrl', function($scope){
	var imgArr = document.getElementById("myslide");
	imgArr.style.height = document.documentElement.clientHeight - 44 + "px";
	  window.localStorage.setItem("isfirstlogin",'1');
})
.controller('WelcomeCtrl1', function($scope	,$stateParams,Msdk,$state){
	var imgArr = document.getElementById("myslide1");
	imgArr.style.height = document.documentElement.clientHeight + "px";
	window.localStorage.setItem("versionNumber",$stateParams.versionNumber);
	
	$scope.tologin = function(){
			var sessionId = window.localStorage.getItem("sessionId");
	        var userId = window.localStorage.getItem("userId");
	        if(sessionId && userId){
	            Msdk.postJSON(
	                '/msdk/applogin/autologin',
	                {
	                    userId: userId,
	                    sessionId: sessionId
	                },
	                function(e){
	                    if(e.success){
	//                      Msdk.user.userId = e.userId;
	//                      Msdk.user.loginCode = e.loginCode;
	                        Msdk.user = e.user;
	                        Msdk.session.sessionId = e.sessionId;
	                        Msdk.gotoFirstState();
	                    }else{
	                    	$state.go("login");
	                    }
	                }
	            );
	        }else{
	        	$state.go("login");
	        }
		}
	
})
.controller('SysSettingCtrl', function($scope, $ionicPopup, $state, Msdk, $ionicHistory,Myfactory){
	
	//$scope.init = function(){
	getMessage();
	//}
	$scope.iosPhone = ionic.Platform.isIOS();
	
	$scope.isTix = {re:false};
	var oldValue = false;
	function getMessage(){
		var msgdata = {
			userId		:Msdk.user.userId+""
		};
		Msdk.postJSON(
			"/article/toDetail",
			msgdata,
			function(e){
				console.log(e);
				if (e != null && e.length>0) {
					
					if (e[0].CONS_REMIND == '01') {
						$scope.isTix.re = true;
					} else if(e[0].CONS_REMIND == '02'){
						$scope.isTix.re = false;
					}
					oldValue = $scope.isTix.re;
				}
			});
	}
	
	$scope.changerpsw = function(){
		$state.go('changePsw');
	}
	
	
	$scope.showPopupClick = function(){
	 	// Triggered on a button click, or some other target
       $scope.data = {};

       // 自定义弹窗
       var myPopup = $ionicPopup.show({
         template: '<input type="password" ng-model="data.code">',
         title: '验证原密码',
         subTitle: '如果忘记了原密码，请使用验证码重新登录即可设置新密码',
         scope: $scope,
         buttons: [
           { text: '取消' },
           {
             text: '<b>确认</b>',
//           type: 'button-positive',
             onTap: function(e) {
              	Msdk.postJSON(
					"/msdk/my/validatePassword", {
						password: Msdk.encryptPassword($scope.data.code),
						userId: Msdk.user.userId,
						loginCode:Msdk.user.loginCode
					},
					function(data) {
						if(data.result) {
							myPopup.close();
							$state.go('changePsw');
							e.preventDefault();
						} else {
//							$CsMethod.showDefaultToast({
//								message: "密码错误!",
//								duration: "1000"
//							});
							$ionicPopup.alert({title:"密码错误"});
							return $scope.data.code;
						}
					});
             }
           },
         ]
       });  
       myPopup.then(function(res) {
         console.log('Tapped!', res);
       });
	};

	$scope.logOutClick = function(){
		$ionicHistory.clearCache();
//		console.log($ionicHistory.viewHistory());
		Msdk.logOut();
	}
	
	$scope.updateSofe = function(){
		var updateUrl = "http://bstoss.oss-cn-hangzhou.aliyuncs.com/bstapk/version.xml";
        cordova.plugins.AppUpdate.checkAppUpdate(updateUrl,function(e){},function(e){});
		//Myfactory.UpdateForAndroid(updateUrl);
	}

	$scope.goback = function(){
		if (oldValue !=  $scope.isTix.re) {
			var msgdata = {
			userId		:Msdk.user.userId,
			isBuy		:$scope.isTix.re?"01":"02"
		};
		Msdk.postJSON(
			"/myMessage/changeIsBuy",
			msgdata,
			function(e){
				$state.go("tab.my");
			});
		}else{
			$state.go("tab.my");
		}
	}
})

.controller('FeedbackCtrl',function($scope,$http,$ionicPopup,Msdk,$state,$timeout){
	$scope.feed_back = {
				value:"",
				qq:"",
				phone:Msdk.user.loginCode,
				email:""
			};
    $scope.submitfeed = function(){
        if($scope.feed_back.value == ""|| $scope.feed_back.value == null ){
            alert("不能为空");
            return ;
        }
        var data = {
			"feedbackNote":$scope.feed_back.value,
			"userId":Msdk.user.userId,
			"versionId":"000",
			qq:$scope.feed_back.qq,
			phone:$scope.feed_back.phone,
			email:$scope.feed_back.email
		};

		Msdk.postJSON(
			"/myFeedback1/myFeedback1",
			data,
			function(e){
				if (e.states == "success") {
					$ionicPopup.alert({
						title: '提交成功!'
					});
					$state.go("tab.my");
					return;
				}
				$ionicPopup.alert({
					title: '提交失败!'
				});

			});
  
    }
    $scope.onDrag = function(id){
//  	var isIPHONE = navigator.userAgent.toUpperCase().indexOf("IPHONE")!= -1;
//		if (isIPHONE) {
		var idname = '';
		if(id===1){
			idname = 'testarr';
		}else if(id == 2){
			idname = 'input1';
		}else if(id === 3){
			idname = 'input2';
		}else if(id === 4){
			idname = 'input3';
		}
		var myInput = document.getElementById(idname);
		if (myInput == document.activeElement) {
			$timeout(function(){
                document.getElementById(idname).blur();
            },100);
//			console.log('获取焦点');
		}
//			document.getElementById("testarr").blur();
//			console.log(document.getElementById("testarr"));
//			document.getElementById("buttion").click();
//			console.log(isIPHONE);
//		}
    }
    
   

})

.controller('AboutCtrl',function($scope, $rootScope, $state){
	
	$scope.message = {
		name : "",
		packageName : "",
		versionNumber : "",
		versionCode : ""
	};
	
	$scope.init = function(){
		
		cordova.getAppVersion.getAppName(function(e){
			$scope.message.name = e;
		});
		
		cordova.getAppVersion.getPackageName(function(e){
			$scope.message.packageName = e;
		});
		
		cordova.getAppVersion.getVersionNumber(function(e){
			$scope.message.versionNumber = e;
		});
		
		cordova.getAppVersion.getVersionCode(function(e){
			$scope.message.versionCode = e;
		});
		console.log($scope.message);
	}
	
	
	
	$scope.toWelcomeClick = function(){
		$rootScope.goto = {way : "about"};
		$state.go("welcomeOne");
	}
})

//修改密码
  	.controller('ChangePswCtrl', function ($scope, $state, $http,$ionicPopup, $timeout, Msdk,$ionicHistory) {

    var phoneNumber = Msdk.user.loginCode;
    $scope.models = {
      phoneNumber: phoneNumber,
      psw: "",
      psw1: "",
      psw2: "",
      showPsw: false,
      inputType: "password",
      buttonShow: false,
      textShow: true,
       deleteIcon: true,
      deleteIcon1: true,
      deleteIcon2: true
    };

    //输入框改变事件
    $scope.pswChange = function () {
      if ($scope.testInput()) {
        $scope.models.buttonShow = true;
        $scope.models.textShow = false;
      }
      else {
        $scope.models.buttonShow = false;
        $scope.models.textShow = true;
      }
    }

    //input验证
    $scope.testInput = function () {
      //alert($scope.models.psw1);
      //通过验证
      if (($scope.models.psw1 != "" && $scope.models.psw2 != "") && ($scope.models.psw1 == $scope.models.psw2)) {
        return true;
      }
      //不通过
      else {
        return false;
      }
    }

	//显示密码按钮改变事件
    $scope.showPswChange = function () {
      if ($scope.models.showPsw) {
        $scope.models.inputType = "text";
      }
      else {
        $scope.models.inputType = "password";
      }
    }

    
    //清空输入框事件
     $scope.resetInput = function () {
      $scope.models.psw = "";

    }
    
    $scope.resetInput1 = function () {
      $scope.models.psw1 = "";
    }

    $scope.resetInput2 = function () {
      $scope.models.psw2 = "";

    }

    //提交按钮点击事件
    $scope.submitButtonClick = function () {
      $scope.submit();

    }

	$scope.pswFocus = function () {
	      $scope.models.deleteIcon = false;
	      //alert(1);
	 }

    $scope.psw1Focus = function () {
      $scope.models.deleteIcon1 = false;
      //alert(1);
    }

    $scope.psw2Focus = function () {
      $scope.models.deleteIcon2 = false;
      //alert(1);
    }

	 $scope.pswBlur = function () {
      $scope.models.deleteIcon = true;
      //	alert(2);
    }

    $scope.psw1Blur = function () {
      $scope.models.deleteIcon1 = true;
      //	alert(2);
    }

    $scope.psw2Blur = function () {
      $scope.models.deleteIcon2 = true;
      //alert(1);
    }
    //提交表单方法
    $scope.submit = function () {
	  	var data = {
	  		passwd: $scope.models.psw1, 
            confirmPasswd: $scope.models.psw2, 
	  		userId :	Msdk.user.userId,
	  		sessionId: Msdk.session.sessionId,
	  		origPasswd: $scope.models.psw,
	  	};

	    Msdk.postJSON(
			"/my/changpassword",
			data,
			function(e){
				if (e.success) {
                    $ionicPopup.alert({
                      title: '修改成功，请用新密码重新登陆!'
                    })
                    .then(function(res) {
                        $ionicHistory.clearCache();
                        Msdk.logOut();
                    });
				}else{
					$ionicPopup.alert({
			          title: '修改失败!',
                      template: e.message
			        });
				}
		});



//	    var res = $http.post('http://127.0.0.1:8080/sme/mobile/my/changpsw', submitData, {
//	        'Content-Type': 'application/json'
//	    });
//	    res.success(function (data, status, headers, config) {
//	        if (status == 200) {
//	          if (data.states == "success") {
//	            $ionicPopup.alert({
//	              title: '修改成功!'
//	            });
//	            return;
//	          }
//	        }
//	        $ionicPopup.alert({
//	          title: '修改失败!'
//	        });
//	    });
    }
    
   
  })