
angular.module('bstmobile')

.config(function($stateProvider) {
    $stateProvider
        .state('controller', {
			url : '/controller',
			templateUrl : 'templates/selected/controller/controller.html',
			controller : 'controllerCtrl'
		})
})

.controller('controllerCtrl', function($scope,Msdk,$ionicHistory) {
	$scope.model = {value:true}
	$scope.getValue = function(){
		var msgdata = {}
		Msdk.postJSON('/test/getValue', msgdata, function(e){
			if (e === 'true') {
				$scope.model.value = true;
			}else{
				$scope.model.value = false;
			}
			console.log($scope.model.value)
		});
	}
	
  	$scope.$on('$ionicView.loaded',function(e,d){
		$scope.getValue();
	});
	
	$scope.updateValue = function(){
		Msdk.postJSON('/test/updateValue', $scope.model, function(e){
			if (e) {
				alert("修改成功");
			}
		});
	}
	
	$scope.logOutClick = function(){
		$ionicHistory.clearCache();
//		console.log($ionicHistory.viewHistory());
		Msdk.logOut();
	}
});